ThreadException Class Reference
Inheritance diagram for ThreadException:

## Public Member Functions

| ThreadException (log4cxx_status_t stat)
| ThreadException (const LogString &msg)
| ThreadException (const ThreadException &src)
ThreadException & | operator= (const ThreadException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Constructor & Destructor Documentation

## ThreadException() [1/3]

ThreadException | ( | log4cxx_status_t | stat | ) |

## ThreadException() [2/3]

ThreadException | ( | const LogString & | msg | ) |

## ThreadException() [3/3]

ThreadException | ( | const ThreadException & | src | ) |

## Member Function Documentation

## operator=()

ThreadException& operator= | ( | const ThreadException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h